all: clit.exe drm5hook.dll
OBJS=clit.obj explode.obj transmute.obj drm5\drm5.obj 
HOOKOBJS=drm5\tramp.obj drm5\drm5comm.obj drm5\drm5remt.obj \
		drm5\drm5locl.obj drm5\drm5stub.obj
LIBS=advapi32.lib kernel32.lib msvcrt.lib ../lib/openclit.lib 
CFLAGS=/Zi /D_DLL /Fo$*.obj /c /W3 /Ogsi1 /O1 /G6yAFs /DWIN32_LEAN_AND_MEAN  -I..\lib -Idrm5\ 
AFLAGS=/Fo$*.obj /coff
clean:  
    -del $(OBJS) $(HOOKOBJS) clit.exe drm5hook.dll drm5hook.lib dr5hook.exp *.pdb

clit.exe: $(OBJS) ../lib/openclit.lib
    link /MAP /subsystem:console /NODEFAULTLIB /OUT:$*.exe $** $(LIBS)

drm5hook.dll: $(HOOKOBJS) 
	link /BASE:0x3000000 /DLL /NODEFAULTLIB /OUT:drm5hook.dll /DEF:drm5\drm5hook.def $(HOOKOBJS) kernel32.lib user32.lib msvcrt.lib advapi32.lib
	
